cc.funkemunky.api.bungee

## Class BungeeAPI

- java.lang.Object
- - cc.funkemunky.api.bungee.BungeeAPI

    public class BungeeAPI
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`BungeeAPI()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `broadcastMessage(java.lang.String message)`
`void` `broadcastMessage(java.lang.String message, java.lang.String permission)`
`void` `kickPlayer(java.lang.String name, java.lang.String reason)`
`void` `kickPlayer(java.util.UUID uuid, java.lang.String reason)`
`void` `movePlayerToServer(java.lang.String playerName, java.lang.String server)`
`void` `movePlayerToServer(java.util.UUID uuid, java.lang.String server)`
`void` `queryUpdate(boolean waitUntilComplete)`
`void` `sendCommand(java.lang.String command)`
`void` `sendMessageToPlayer(BungeePlayer player, java.lang.String message)`
`void` `sendMessageToPlayer(java.lang.String name, java.lang.String message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BungeeAPI

    public BungeeAPI()

### Method Detail

#### broadcastMessage

    public void broadcastMessage(java.lang.String message)

#### broadcastMessage

    public void broadcastMessage(java.lang.String message,
                                 java.lang.String permission)

#### movePlayerToServer

    public void movePlayerToServer(java.lang.String playerName,
                                   java.lang.String server)

#### movePlayerToServer

    public void movePlayerToServer(java.util.UUID uuid,
                                   java.lang.String server)

#### kickPlayer

    public void kickPlayer(java.lang.String name,
                           java.lang.String reason)

#### sendMessageToPlayer

    public void sendMessageToPlayer(java.lang.String name,
                                    java.lang.String message)

#### sendMessageToPlayer

    public void sendMessageToPlayer(BungeePlayer player,
                                    java.lang.String message)

#### sendCommand

    public void sendCommand(java.lang.String command)

#### queryUpdate

    public void queryUpdate(boolean waitUntilComplete)

#### kickPlayer

    public void kickPlayer(java.util.UUID uuid,
                           java.lang.String reason)